import Auth from '@/views/layout/auth';
import rootRouter from './router-root';

type metaType = {
  isRegister: boolean;
};

export default [
  {
    path: '/',
    component: Auth,
    children: [
      {
        path: '/login',
        name: 'login',
        component: () => import('@/views/layout/login'),
        meta: {
          isRegister: false
        } as metaType
      }
    ]
  },
  ...rootRouter
];
